<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
	xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">
	<modelVersion>4.0.0</modelVersion>
	<groupId>fr.sedoo.rbv</groupId>
	<artifactId>portailrbvws-gui</artifactId>
	<packaging>war</packaging>
	<version>0.0.8</version>
	<name>portailrbvws</name>
	<url>http://maven.apache.org</url>

	<properties>
		<env>DEV</env>
	</properties>

<repositories>
 <repository>
      <id>sourcesup-releases</id>
      <url>http://sourcesup.renater.fr/nexus/content/repositories/reposedoo-releases/</url>
    </repository>
    
    <repository>
      <id>sourcesup-snapshots</id>
      <url>http://sourcesup.renater.fr/nexus/content/repositories/reposedoo-snapshots/</url>
    </repository> 
    
	</repositories>

<pluginRepositories>
    <pluginRepository>
      <id>shiva</id>
    <name>shiva-releases</name>
    <url>http://shiva:8080/artifactory/carnavello</url>
    </pluginRepository>
  </pluginRepositories>

<distributionManagement>
		<repository>
			<id>sourcesup</id>
			<url>http://sourcesup.renater.fr/nexus/content/repositories/reposedoo-releases</url>
		</repository>
		<snapshotRepository>
			<id>sourcesup</id>
			<url>http://sourcesup.renater.fr/nexus/content/repositories/reposedoo-snapshots</url>
		</snapshotRepository>
	</distributionManagement>


	<dependencies>

		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<version>4.8.2</version>
			<scope>test</scope>
		</dependency>

		<dependency>
			<groupId>commons-io</groupId>
			<artifactId>commons-io</artifactId>
			<version>2.4</version>
		</dependency>

		<dependency>
			<groupId>postgresql</groupId>
			<artifactId>postgresql</artifactId>
			<version>8.4-701.jdbc3</version>
		</dependency>


		<dependency>
			<groupId>com.sun.jersey</groupId>
			<artifactId>jersey-server</artifactId>
			<version>1.8</version>
		</dependency>

		<dependency>
			<groupId>com.sun.jersey.contribs</groupId>
			<artifactId>jersey-multipart</artifactId>
			<version>1.8</version>
		</dependency>

		<dependency>
			<groupId>com.sun.jersey</groupId>
			<artifactId>jersey-client</artifactId>
			<version>1.8</version>
		</dependency>

		<dependency>
			<groupId>fr.sedoo.commons</groupId>
			<artifactId>commons-web</artifactId>
			<version>0.0.3</version>
		</dependency>

		<dependency>
			<groupId>fr.sedoo.commons</groupId>
			<artifactId>commons-backoffice</artifactId>
			<version>0.0.4-SNAPSHOT</version>
		</dependency>

		<dependency>
			<groupId>fr.sedoo.rbv</groupId>
			<artifactId>portailrbvws-core</artifactId>
			<version>0.0.8-SNAPSHOT</version>
			<exclusions>
				<exclusion>
					<artifactId>logback-classic</artifactId>
					<groupId>ch.qos.logback</groupId>
				</exclusion>
			</exclusions>
		</dependency>

		<dependency>
			<groupId>org.slf4j</groupId>
			<artifactId>slf4j-log4j12</artifactId>
			<version>1.6.1</version>
		</dependency>



	</dependencies>
	<build>
		<finalName>portailrbvws</finalName>
		<pluginManagement>
			<plugins>
				<plugin>
					<!-- Mise à jour de la version dans le fichier web.xml -->
					<artifactId>maven-war-plugin</artifactId>
					<configuration>
						<webResources>
							<resource>
								<directory>${basedir}/src/main/webapp/WEB-INF</directory>
								<filtering>true</filtering>
								<targetPath>WEB-INF</targetPath>
								<includes>
									<include>**/*.xml</include>
								</includes>
							</resource>
						</webResources>
					</configuration>
				</plugin>


				<plugin>
					<groupId>org.eclipse.m2e</groupId>
					<artifactId>lifecycle-mapping</artifactId>
					<version>1.0.0</version>
					<configuration>
						<lifecycleMappingMetadata>
							<pluginExecutions>
								<pluginExecution>
									<pluginExecutionFilter>
										<groupId>fr.carnavello.common</groupId>
										<artifactId>carnavellodoc-maven-plugin</artifactId>
										<versionRange>1.0.3</versionRange>
										<goals>
											<goal>generate</goal>
										</goals>
									</pluginExecutionFilter>
									<action>
										<execute>
											<runOnIncremental>false</runOnIncremental>
										</execute>
									</action>
								</pluginExecution>
							</pluginExecutions>
						</lifecycleMappingMetadata>
					</configuration>
				</plugin>


			</plugins>



		</pluginManagement>

		<plugins>
			<plugin>
				<groupId>fr.carnavello.common</groupId>
				<artifactId>carnavellodoc-maven-plugin</artifactId>
				<version>1.0.3</version>
				<configuration>
					<src>${basedir}/src/doc</src>
					<target>${basedir}/target/doc</target>
					<footer>${basedir}/src/main/webapp/doc/footer.html</footer>
					<header>${basedir}/src/main/webapp/doc/header.html</header>
				</configuration>
				<executions>
					<execution>
						<goals>
							<goal>generate</goal>
						</goals>
						<phase>generate-sources</phase>
					</execution>
				</executions>
			</plugin>





		</plugins>

		<resources>


			<resource>
				<directory>src/main/resources</directory>
				<includes>
					<include>**/*.properties</include>
				</includes>
				<filtering>true</filtering>
			</resource>

		</resources>

		<filters>
			<filter>src/main/filters/${env}.properties</filter>
		</filters>

	</build>

	

	<parent>
		<groupId>fr.sedoo.commons</groupId>
		<artifactId>parent-pom</artifactId>
		<version>0.0.2</version>
	</parent>
</project>
